> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get matter billing configuration

> Retrieves the billing configuration for the specified matter.



## OpenAPI

````yaml /openapi.json get /matters/{matterId}/billingconfiguration
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /matters/{matterId}/billingconfiguration:
    get:
      tags:
        - Matters
      summary: Get matter billing configuration
      description: Retrieves the billing configuration for the specified matter.
      operationId: GetBillingConfiguration
      parameters:
        - name: matterId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: When request is successful. Returns a 'BillingConfiguration' object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillingConfiguration'
        '400':
          description: When an unsupported request is made.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: When the matter is not associated with the authenticated client.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: When the specified matter does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    BillingConfiguration:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        versionId:
          type: string
          description: Version id of the billing configuration.
          nullable: true
          example: 750eb5c5-ac0b-7d11-4997-e0ce9d8896c8
        billingType:
          allOf:
            - $ref: '#/components/schemas/BillingTypeEnum'
          description: "The billing type.\r\n\r\nPossible values: None = 0, Fixed Fee = 1, Fixed Fee per Appearance = 2, Time Based = 3, Contingency Dollars = 4, Contingency Percent = 5, Not Billable = 6"
          example: 1
        amount:
          type: number
          description: "The amount (currency).\r\n\r\nOnly applicable when BillingType is 'Fixed Fee', 'Fixed Fee per Apperance' or 'Time Based'."
          format: double
          example: 142.31
        disbursementAmount:
          type: number
          description: "The disbursement amount (currency). \r\n\r\nOnly applicable when BillingType is 'Fixed Fee', 'Fixed Fee per Apperance' or 'Time Based'.\r\n\r\nOnly supported in AU and the UK."
          format: double
          example: 160
        contingencyAmount:
          type: number
          description: "The contingency amount (percentage). \r\n\r\nOnly applicable when BillingType is 'Contingency Percent'."
          format: double
          example: 32
        debtors:
          type: array
          items:
            $ref: '#/components/schemas/Link'
          description: The matter debtors.
          nullable: true
        rateSetId:
          type: string
          description: "The rate set id.\r\n\r\nOnly supported in AU and the UK."
          nullable: true
          example: '100558'
        isUtbmsEnabled:
          type: boolean
          description: "True if Uniform Task Based Management (UTBMS) is enabled for this matter.\r\n\r\nOnly supported in the US."
          example: true
        ledesFirmId:
          type: string
          description: "The associated Legal Electronic Data Exchange Standard (LEDES) firm.\r\n\r\nOnly supported in the US."
          nullable: true
          example: '100558'
        ledesMatterId:
          type: string
          description: "The associated Legal Electronic Data Exchange Standard (LEDES) matter.\r\n\r\nOnly supported in the US."
          nullable: true
          example: '100558'
        ledesClientMatterId:
          type: string
          description: "The associated Legal Electronic Data Exchange Standard (LEDES) client matter.\r\n\r\nOnly supported in the US."
          nullable: true
          example: '100558'
        ledesTimekeeperClassificationType:
          allOf:
            - $ref: '#/components/schemas/TimekeeperClassificationType'
          description: "The associated Legal Electronic Data Exchange Standard (LEDES) classification type.\r\n            \r\nPossible values: Length6 = 0, Length2 = 1, UseFirmDefault = 2.\r\n            \r\nOnly supported in the US."
          example: 0
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
    BillingTypeEnum:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
      type: integer
      description: "The billing type.\r\n\r\nPossible values: \r\nNone = 0, \r\nFixed Fee = 1, \r\nFixed Fee per Appearance = 2, \r\nTime Based = 3, \r\nContingency Dollars = 4, \r\nContingency Percent = 5, \r\nNot Billable = 6,\r\nConditionalFeeAgreement = 7"
      format: int32
    TimekeeperClassificationType:
      enum:
        - 0
        - 1
        - 2
      type: integer
      description: "The associated Legal Electronic Data Exchange Standard (LEDES) classification type.\r\n            \r\nPossible values: Length6 = 0, Length2 = 1, UseFirmDefault = 2.\r\n            \r\nOnly supported in the US."
      format: int32
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````